Subject: Re: [PATCH] clean cached refs when calling set_git_dir()

From: Julius Plenz <[email-masked]>
Date: Thu, 10 Mar 2011 17:09:48 +0100

Hi!

* Nguyen Thai Ngoc Duy <[email-masked]> [2011-03-10 17:00]:
> On Thu, Mar 10, 2011 at 10:19 PM, Julius Plenz <[email-masked]> wrote:
> > If you use libgit.a to perform reference resolutions on two or more
> > repositories that contain packed refs, cached_refs will store the packed
> > refs for the first repository to contain a packed-refs file only.
> 
> If you use libgit.a to do anything on more than one repository, you
> get a lot more messed up that just that. Spawning a new process or
> accessing with libgit2 may be safer. Why do you want to do that in the
> first place?

I was working on the cgit repository browser, where you have to peek
into several repositories to create the overview page. Since cgit
links to libgit.a I fixed the bug there. Not sure if that's the proper
way to do it, though...

Julius